# Run tests in check section
%bcond_without check

# https://github.com/pascaldekloe/goe
%global goipath         github.com/pascaldekloe/goe
Version:                0.1.0

%global common_description %{expand:
Common enterprise features for the Go programming language.}

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Common enterprise features for the Go programming language
# Detected licences
# - *No copyright* UNKNOWN at 'LICENSE'
License:        CC0
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}.


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}.

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Sun Mar 24 23:18:38 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.0-1
- Release 0.1.0 (#1691104)

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.git57f6aae
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Nov 12 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20181113git57f6aae
- First package for Fedora

